import type { _NSObject } from "../Foundation/NSObject.js";
import type { _GKStrategist } from "./GKStrategist.js";
export declare class _GKMonteCarloStrategist extends _NSObject {
    static alloc(): _GKMonteCarloStrategist;
    static new(): _GKMonteCarloStrategist;
    init(): _GKMonteCarloStrategist;
    /** The maximum number of samples that will be processed when searching for a move. */
    budget(): number;
    setBudget$(value: number): void;
    /**
     * A weight that encourages exploration of less visited updates versus the continued exploitation of previously visited updates.
     */
    explorationParameter(): number;
    setExplorationParameter$(value: number): void;
}
export interface _GKMonteCarloStrategist extends _GKStrategist {
}
